package com.mygdx.game;

import com.badlogic.gdx.ApplicationAdapter;
import com.badlogic.gdx.Gdx;
import com.badlogic.gdx.graphics.GL20;
import com.badlogic.gdx.graphics.Texture;
import com.badlogic.gdx.graphics.g2d.BitmapFont;
import com.badlogic.gdx.graphics.g2d.SpriteBatch;
import com.badlogic.gdx.graphics.g2d.TextureRegion;

import menus.Menu;
import menus.MenuInicio;
import menus.MenuOpcions;
import utilidades.Gifs;

public class MyGdxGame extends ApplicationAdapter {
	SpriteBatch batch;
	Texture img;
	BitmapFont font;
	int WIN_ALT;
	int WIN_ANCH;
	private TextureRegion[] 	regions = new TextureRegion[14];	
	float contadorGif = 0;
	Gifs pinchos;
	int menuSeleccionado=0;
	@Override
	public void create () {
		batch = new SpriteBatch();
		img = new Texture("125760.png");
		font = new BitmapFont(Gdx.files.internal("CentieSans.fnt"));
		WIN_ALT=900;
		WIN_ANCH=700;
		Gdx.graphics.setWindowedMode(WIN_ALT, WIN_ANCH);
		pinchos = new Gifs(img, 14, 39, 49, 15, 40, 40);
		Menu.menus.add(new MenuInicio());
		Menu.menus.add(new MenuOpcions());
	}

	@Override
	public void render () {
		Gdx.gl.glClearColor(0.5f, 0, 0, 1);
		Gdx.gl.glClear(GL20.GL_COLOR_BUFFER_BIT);
		batch.begin();
		//batch.draw(img, 0, 0);
		//contadorGif+=Gdx.graphics.getDeltaTime()*10;
		float delta = Gdx.graphics.getDeltaTime();
		/*if(contadorGif>13) {
			contadorGif=0;
		}
		batch.draw(regions[(int)contadorGif], 75 * (0 + 1), 100);*/
		/*pinchos.avanzar(10, delta);
		pinchos.draw(batch, Gdx.graphics.getWidth()/5, Gdx.graphics.getHeight()/2.2f);
		font.draw(batch, "iniciar", Gdx.graphics.getWidth()/3.75f,Gdx.graphics.getHeight()/2);
		pinchos.draw(batch, Gdx.graphics.getWidth()/5+200, Gdx.graphics.getHeight()/2.2f);
		font.draw(batch, "configuracion", Gdx.graphics.getWidth()/5,Gdx.graphics.getHeight()/4);
		*/
		this.menuSeleccionado=Menu.menus.get(this.menuSeleccionado).draw(batch, delta);
		batch.end();
	}
	
	@Override
	public void dispose () {
		batch.dispose();
		img.dispose();
		font.dispose();
	}
}
